# CHANGELOG

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).


--------------------------------

## v1.0.3, 2024.0x.xx    (unreleased)

### Added

- ci: add PHP 8.2 and PHP 8.3 (linter, composer validate and tests)
- ci: update Dockerfile (php 8.1, 8.2 and 8.3)
- ci: activate mutation tests

### Changed

- chore(composer.json): allow PHP 8.1, 8.2 and 8.3
- remove `DEBUG_CERT_BY_ADMIN` in .env file

### Fixed

- test: improve infection configuration
- ci(composer.lock): fix plugin-api-version
- chore: add some missing return type
- refactor: rename some directories and class
- refactor: add PublicKeyRawConvertor, PublicKeyRawDto and FailedDecodeRawPublicKeyException class

### Dependencies

- chore(dev): remove deprecated tool (dePHPend)
- chore(dev): improve dev tool configuration (PhpMD, Pslam)
- chore(dev): udpate dev tool (Infection, PhpMD, PHP-CS-Fixer, PHP_CodeSniffer, Psalm)
- chore(composer.lock): upgrade `symfony/*` (`v6.4.2` => `v6.4.5`), ... #92
- chore(composer.json): upgrade `symfony/*` (`v6.4.1` => `v6.4.2`), `doctrine/orm`
- chore(composer.lock): upgrade symfony/flex (`v2.4.2` => `v2.4.3`)

<details>
<summary>

Updating dependencies (`symfony/*`  `6.4.2` => `6.4.5`, ...): 0 installs, 85 updates, 0 removals

see:
- https://symfony.com/blog/symfony-6-4-3-released
- https://symfony.com/blog/symfony-6-4-4-released
- https://symfony.com/blog/symfony-6-4-5-released

</summary>

Lock file operations: 0 installs, 85 updates, 0 removals
- Upgrading composer/ca-bundle (1.4.0 => 1.5.0)
- Upgrading dbrekelmans/bdi (1.1.0 => 1.3.0)
- Upgrading doctrine/collections (2.1.4 => 2.2.1)
- Upgrading doctrine/dbal (3.7.2 => 3.8.3)
- Upgrading doctrine/deprecations (1.1.2 => 1.1.3)
- Upgrading doctrine/doctrine-bundle (2.11.1 => 2.12.0)
- Upgrading doctrine/inflector (2.0.8 => 2.0.10)
- Upgrading doctrine/lexer (2.1.0 => 2.1.1)
- Upgrading doctrine/migrations (3.7.2 => 3.7.4)
- Upgrading doctrine/orm (2.17.2 => 2.19.2)
- Upgrading doctrine/persistence (3.2.0 => 3.3.2)
- Upgrading doctrine/sql-formatter (1.1.3 => 1.2.0)
- Upgrading nelmio/security-bundle (v3.1.0 => v3.2.0)
- Upgrading nikic/php-parser (v4.18.0 => v5.0.2)
- Upgrading phar-io/manifest (2.0.3 => 2.0.4)
- Upgrading phpdocumentor/type-resolver (1.7.3 => 1.8.2)
- Upgrading phpstan/phpdoc-parser (1.24.5 => 1.26.0)
- Upgrading phpunit/php-code-coverage (9.2.30 => 9.2.31)
- Upgrading phpunit/phpunit (9.6.15 => 9.6.17)
- Upgrading sebastian/cli-parser (1.0.1 => 1.0.2)
- Upgrading sebastian/diff (4.0.5 => 4.0.6)
- Upgrading sebastian/exporter (4.0.5 => 4.0.6)
- Upgrading sebastian/global-state (5.0.6 => 5.0.7)
- Upgrading sebastian/resource-operations (3.0.3 => 3.0.4)
- Upgrading symfony/asset (v6.4.0 => v6.4.3)
- Upgrading symfony/asset-mapper (v6.4.2 => v6.4.5)
- Upgrading symfony/browser-kit (v6.4.0 => v6.4.3)
- Upgrading symfony/cache (v6.4.2 => v6.4.4)
- Upgrading symfony/clock (v6.4.2 => v6.4.5)
- Upgrading symfony/config (v6.4.0 => v6.4.4)
- Upgrading symfony/console (v6.4.2 => v6.4.4)
- Upgrading symfony/css-selector (v6.4.0 => v6.4.3)
- Upgrading symfony/debug-bundle (v6.4.0 => v6.4.3)
- Upgrading symfony/dependency-injection (v6.4.2 => v6.4.4)
- Upgrading symfony/doctrine-bridge (v6.4.2 => v6.4.5)
- Upgrading symfony/doctrine-messenger (v6.4.2 => v6.4.4)
- Upgrading symfony/dom-crawler (v6.4.0 => v6.4.4)
- Upgrading symfony/dotenv (v6.4.2 => v6.4.4)
- Upgrading symfony/error-handler (v6.4.0 => v6.4.4)
- Upgrading symfony/event-dispatcher (v6.4.2 => v6.4.3)
- Upgrading symfony/expression-language (v6.4.2 => v6.4.3)
- Upgrading symfony/filesystem (v6.4.0 => v6.4.3)
- Upgrading symfony/flex (v2.4.3 => v2.4.5)
- Upgrading symfony/form (v6.4.1 => v6.4.4)
- Upgrading symfony/framework-bundle (v6.4.2 => v6.4.4)
- Upgrading symfony/http-client (v6.4.2 => v6.4.5)
- Upgrading symfony/http-foundation (v6.4.2 => v6.4.4)
- Upgrading symfony/http-kernel (v6.4.2 => v6.4.5)
- Upgrading symfony/intl (v6.4.2 => v6.4.3)
- Upgrading symfony/mailer (v6.4.2 => v6.4.4)
- Upgrading symfony/maker-bundle (v1.52.0 => v1.56.0)
- Upgrading symfony/messenger (v6.4.0 => v6.4.4)
- Upgrading symfony/mime (v6.4.0 => v6.4.3)
- Upgrading symfony/monolog-bridge (v6.4.0 => v6.4.4)
- Upgrading symfony/notifier (v6.4.0 => v6.4.3)
- Upgrading symfony/password-hasher (v6.4.0 => v6.4.4)
- Upgrading symfony/phpunit-bridge (v6.4.2 => v6.4.4)
- Upgrading symfony/polyfill-intl-grapheme (v1.28.0 => v1.29.0)
- Upgrading symfony/polyfill-intl-icu (v1.28.0 => v1.29.0)
- Upgrading symfony/polyfill-intl-idn (v1.28.0 => v1.29.0)
- Upgrading symfony/polyfill-intl-normalizer (v1.28.0 => v1.29.0)
- Upgrading symfony/polyfill-mbstring (v1.28.0 => v1.29.0)
- Upgrading symfony/polyfill-php83 (v1.28.0 => v1.29.0)
- Upgrading symfony/process (v6.4.2 => v6.4.4)
- Upgrading symfony/property-access (v6.4.0 => v6.4.4)
- Upgrading symfony/property-info (v6.4.0 => v6.4.3)
- Upgrading symfony/routing (v6.4.2 => v6.4.5)
- Upgrading symfony/runtime (v6.4.0 => v6.4.3)
- Upgrading symfony/security-bundle (v6.4.2 => v6.4.5)
- Upgrading symfony/security-core (v6.4.0 => v6.4.3)
- Upgrading symfony/security-csrf (v6.4.0 => v6.4.3)
- Upgrading symfony/security-http (v6.4.0 => v6.4.4)
- Upgrading symfony/serializer (v6.4.2 => v6.4.4)
- Upgrading symfony/stopwatch (v6.4.0 => v6.4.3)
- Upgrading symfony/string (v6.4.2 => v6.4.4)
- Upgrading symfony/translation (v6.4.2 => v6.4.4)
- Upgrading symfony/twig-bridge (v6.4.2 => v6.4.4)
- Upgrading symfony/twig-bundle (v6.4.0 => v6.4.4)
- Upgrading symfony/validator (v6.4.2 => v6.4.4)
- Upgrading symfony/var-dumper (v6.4.2 => v6.4.4)
- Upgrading symfony/var-exporter (v6.4.2 => v6.4.4)
- Upgrading symfony/web-link (v6.4.0 => v6.4.3)
- Upgrading symfony/web-profiler-bundle (v6.4.2 => v6.4.4)
- Upgrading symfony/yaml (v6.4.0 => v6.4.3)
- Upgrading theseer/tokenizer (1.2.2 => 1.2.3)

Changelogs summary:

symfony/flex updated from v2.4.3 to v2.4.5 patch
- See changes: https://github.com/symfony/flex/compare/v2.4.3...v2.4.5
- Release notes: https://github.com/symfony/flex/releases/tag/v2.4.5

symfony/runtime updated from v6.4.0 to v6.4.3 patch
- See changes: https://github.com/symfony/runtime/compare/v6.4.0...v6.4.3
- Release notes: https://github.com/symfony/runtime/releases/tag/v6.4.3

dbrekelmans/bdi updated from 1.1.0 to 1.3.0 minor
- See changes: https://github.com/dbrekelmans/bdi/compare/1.1.0...1.3.0
- Release notes: https://github.com/dbrekelmans/bdi/releases/tag/1.3.0

symfony/polyfill-php83 updated from v1.28.0 to v1.29.0 minor
- See changes: https://github.com/symfony/polyfill-php83/compare/v1.28.0...v1.29.0
- Release notes: https://github.com/symfony/polyfill-php83/releases/tag/v1.29.0

symfony/polyfill-mbstring updated from v1.28.0 to v1.29.0 minor
- See changes: https://github.com/symfony/polyfill-mbstring/compare/v1.28.0...v1.29.0
- Release notes: https://github.com/symfony/polyfill-mbstring/releases/tag/v1.29.0

symfony/http-foundation updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/http-foundation/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/http-foundation/releases/tag/v6.4.4

symfony/event-dispatcher updated from v6.4.2 to v6.4.3 patch
- See changes: https://github.com/symfony/event-dispatcher/compare/v6.4.2...v6.4.3
- Release notes: https://github.com/symfony/event-dispatcher/releases/tag/v6.4.3

symfony/var-dumper updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/var-dumper/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/var-dumper/releases/tag/v6.4.4

symfony/error-handler updated from v6.4.0 to v6.4.4 patch
- See changes: https://github.com/symfony/error-handler/compare/v6.4.0...v6.4.4
- Release notes: https://github.com/symfony/error-handler/releases/tag/v6.4.4

symfony/http-kernel updated from v6.4.2 to v6.4.5 patch
- See changes: https://github.com/symfony/http-kernel/compare/v6.4.2...v6.4.5
- Release notes: https://github.com/symfony/http-kernel/releases/tag/v6.4.5

doctrine/persistence updated from 3.2.0 to 3.3.2 minor
- See changes: https://github.com/doctrine/persistence/compare/3.2.0...3.3.2
- Release notes: https://github.com/doctrine/persistence/releases/tag/3.3.2

symfony/doctrine-bridge updated from v6.4.2 to v6.4.5 patch
- See changes: https://github.com/symfony/doctrine-bridge/compare/v6.4.2...v6.4.5
- Release notes: https://github.com/symfony/doctrine-bridge/releases/tag/v6.4.5

symfony/var-exporter updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/var-exporter/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/var-exporter/releases/tag/v6.4.4

symfony/dependency-injection updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/dependency-injection/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/dependency-injection/releases/tag/v6.4.4

symfony/polyfill-intl-normalizer updated from v1.28.0 to v1.29.0 minor
- See changes: https://github.com/symfony/polyfill-intl-normalizer/compare/v1.28.0...v1.29.0
- Release notes: https://github.com/symfony/polyfill-intl-normalizer/releases/tag/v1.29.0

symfony/polyfill-intl-grapheme updated from v1.28.0 to v1.29.0 minor
- See changes: https://github.com/symfony/polyfill-intl-grapheme/compare/v1.28.0...v1.29.0
- Release notes: https://github.com/symfony/polyfill-intl-grapheme/releases/tag/v1.29.0

symfony/string updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/string/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/string/releases/tag/v6.4.4

symfony/console updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/console/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/console/releases/tag/v6.4.4

symfony/filesystem updated from v6.4.0 to v6.4.3 patch
- See changes: https://github.com/symfony/filesystem/compare/v6.4.0...v6.4.3
- Release notes: https://github.com/symfony/filesystem/releases/tag/v6.4.3

symfony/config updated from v6.4.0 to v6.4.4 patch
- See changes: https://github.com/symfony/config/compare/v6.4.0...v6.4.4
- Release notes: https://github.com/symfony/config/releases/tag/v6.4.4

doctrine/deprecations updated from 1.1.2 to 1.1.3 patch
- See changes: https://github.com/doctrine/deprecations/compare/1.1.2...1.1.3
- Release notes: https://github.com/doctrine/deprecations/releases/tag/1.1.3

doctrine/lexer updated from 2.1.0 to 2.1.1 patch
- See changes: https://github.com/doctrine/lexer/compare/2.1.0...2.1.1
- Release notes: https://github.com/doctrine/lexer/releases/tag/2.1.1

doctrine/inflector updated from 2.0.8 to 2.0.10 patch
- See changes: https://github.com/doctrine/inflector/compare/2.0.8...2.0.10
- Release notes: https://github.com/doctrine/inflector/releases/tag/2.0.10

doctrine/dbal updated from 3.7.2 to 3.8.3 minor
- See changes: https://github.com/doctrine/dbal/compare/3.7.2...3.8.3
- Release notes: https://github.com/doctrine/dbal/releases/tag/3.8.3

doctrine/collections updated from 2.1.4 to 2.2.1 minor
- See changes: https://github.com/doctrine/collections/compare/2.1.4...2.2.1
- Release notes: https://github.com/doctrine/collections/releases/tag/2.2.1

doctrine/orm updated from 2.17.2 to 2.19.2 minor
- See changes: https://github.com/doctrine/orm/compare/2.17.2...2.19.2
- Release notes: https://github.com/doctrine/orm/releases/tag/2.19.2

symfony/routing updated from v6.4.2 to v6.4.5 patch
- See changes: https://github.com/symfony/routing/compare/v6.4.2...v6.4.5
- Release notes: https://github.com/symfony/routing/releases/tag/v6.4.5

symfony/cache updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/cache/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/cache/releases/tag/v6.4.4

symfony/framework-bundle updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/framework-bundle/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/framework-bundle/releases/tag/v6.4.4

doctrine/sql-formatter updated from 1.1.3 to 1.2.0 minor
- See changes: https://github.com/doctrine/sql-formatter/compare/1.1.3...1.2.0
- Release notes: https://github.com/doctrine/sql-formatter/releases/tag/1.2.0

doctrine/doctrine-bundle updated from 2.11.1 to 2.12.0 minor
- See changes: https://github.com/doctrine/DoctrineBundle/compare/2.11.1...2.12.0
- Release notes: https://github.com/doctrine/DoctrineBundle/releases/tag/2.12.0

symfony/stopwatch updated from v6.4.0 to v6.4.3 patch
- See changes: https://github.com/symfony/stopwatch/compare/v6.4.0...v6.4.3
- Release notes: https://github.com/symfony/stopwatch/releases/tag/v6.4.3

doctrine/migrations updated from 3.7.2 to 3.7.4 patch
- See changes: https://github.com/doctrine/migrations/compare/3.7.2...3.7.4
- Release notes: https://github.com/doctrine/migrations/releases/tag/3.7.4

composer/ca-bundle updated from 1.4.0 to 1.5.0 minor
- See changes: https://github.com/composer/ca-bundle/compare/1.4.0...1.5.0
- Release notes: https://github.com/composer/ca-bundle/releases/tag/1.5.0

symfony/yaml updated from v6.4.0 to v6.4.3 patch
- See changes: https://github.com/symfony/yaml/compare/v6.4.0...v6.4.3
- Release notes: https://github.com/symfony/yaml/releases/tag/v6.4.3

symfony/password-hasher updated from v6.4.0 to v6.4.4 patch
- See changes: https://github.com/symfony/password-hasher/compare/v6.4.0...v6.4.4
- Release notes: https://github.com/symfony/password-hasher/releases/tag/v6.4.4

symfony/security-core updated from v6.4.0 to v6.4.3 patch
- See changes: https://github.com/symfony/security-core/compare/v6.4.0...v6.4.3
- Release notes: https://github.com/symfony/security-core/releases/tag/v6.4.3

symfony/property-info updated from v6.4.0 to v6.4.3 patch
- See changes: https://github.com/symfony/property-info/compare/v6.4.0...v6.4.3
- Release notes: https://github.com/symfony/property-info/releases/tag/v6.4.3

symfony/property-access updated from v6.4.0 to v6.4.4 patch
- See changes: https://github.com/symfony/property-access/compare/v6.4.0...v6.4.4
- Release notes: https://github.com/symfony/property-access/releases/tag/v6.4.4

symfony/security-http updated from v6.4.0 to v6.4.4 patch
- See changes: https://github.com/symfony/security-http/compare/v6.4.0...v6.4.4
- Release notes: https://github.com/symfony/security-http/releases/tag/v6.4.4

symfony/security-csrf updated from v6.4.0 to v6.4.3 patch
- See changes: https://github.com/symfony/security-csrf/compare/v6.4.0...v6.4.3
- Release notes: https://github.com/symfony/security-csrf/releases/tag/v6.4.3

nelmio/security-bundle updated from v3.1.0 to v3.2.0 minor
- See changes: https://github.com/nelmio/NelmioSecurityBundle/compare/v3.1.0...v3.2.0
- Release notes: https://github.com/nelmio/NelmioSecurityBundle/releases/tag/v3.2.0

phpstan/phpdoc-parser updated from 1.24.5 to 1.26.0 minor
- See changes: https://github.com/phpstan/phpdoc-parser/compare/1.24.5...1.26.0
- Release notes: https://github.com/phpstan/phpdoc-parser/releases/tag/1.26.0

phpdocumentor/type-resolver updated from 1.7.3 to 1.8.2 minor
- See changes: https://github.com/phpDocumentor/TypeResolver/compare/1.7.3...1.8.2
- Release notes: https://github.com/phpDocumentor/TypeResolver/releases/tag/1.8.2

sebastian/resource-operations updated from 3.0.3 to 3.0.4 patch
- See changes: https://github.com/sebastianbergmann/resource-operations/compare/3.0.3...3.0.4
- Release notes: https://github.com/sebastianbergmann/resource-operations/releases/tag/3.0.4

sebastian/global-state updated from 5.0.6 to 5.0.7 patch
- See changes: https://github.com/sebastianbergmann/global-state/compare/5.0.6...5.0.7
- Release notes: https://github.com/sebastianbergmann/global-state/releases/tag/5.0.7

sebastian/exporter updated from 4.0.5 to 4.0.6 patch
- See changes: https://github.com/sebastianbergmann/exporter/compare/4.0.5...4.0.6
- Release notes: https://github.com/sebastianbergmann/exporter/releases/tag/4.0.6

sebastian/diff updated from 4.0.5 to 4.0.6 patch
- See changes: https://github.com/sebastianbergmann/diff/compare/4.0.5...4.0.6
- Release notes: https://github.com/sebastianbergmann/diff/releases/tag/4.0.6

sebastian/cli-parser updated from 1.0.1 to 1.0.2 patch
- See changes: https://github.com/sebastianbergmann/cli-parser/compare/1.0.1...1.0.2
- Release notes: https://github.com/sebastianbergmann/cli-parser/releases/tag/1.0.2

theseer/tokenizer updated from 1.2.2 to 1.2.3 patch
- See changes: https://github.com/theseer/tokenizer/compare/1.2.2...1.2.3
- Release notes: https://github.com/theseer/tokenizer/releases/tag/1.2.3

nikic/php-parser updated from v4.18.0 to v5.0.2 major
- See changes: https://github.com/nikic/PHP-Parser/compare/v4.18.0...v5.0.2
- Release notes: https://github.com/nikic/PHP-Parser/releases/tag/v5.0.2

phpunit/php-code-coverage updated from 9.2.30 to 9.2.31 patch
- See changes: https://github.com/sebastianbergmann/php-code-coverage/compare/9.2.30...9.2.31
- Release notes: https://github.com/sebastianbergmann/php-code-coverage/releases/tag/9.2.31

phar-io/manifest updated from 2.0.3 to 2.0.4 patch
- See changes: https://github.com/phar-io/manifest/compare/2.0.3...2.0.4
- Release notes: https://github.com/phar-io/manifest/releases/tag/2.0.4

phpunit/phpunit updated from 9.6.15 to 9.6.17 patch
- See changes: https://github.com/sebastianbergmann/phpunit/compare/9.6.15...9.6.17
- Release notes: https://github.com/sebastianbergmann/phpunit/releases/tag/9.6.17

symfony/asset updated from v6.4.0 to v6.4.3 patch
- See changes: https://github.com/symfony/asset/compare/v6.4.0...v6.4.3
- Release notes: https://github.com/symfony/asset/releases/tag/v6.4.3

symfony/http-client updated from v6.4.2 to v6.4.5 patch
- See changes: https://github.com/symfony/http-client/compare/v6.4.2...v6.4.5
- Release notes: https://github.com/symfony/http-client/releases/tag/v6.4.5

symfony/asset-mapper updated from v6.4.2 to v6.4.5 patch
- See changes: https://github.com/symfony/asset-mapper/compare/v6.4.2...v6.4.5
- Release notes: https://github.com/symfony/asset-mapper/releases/tag/v6.4.5

symfony/css-selector updated from v6.4.0 to v6.4.3 patch
- See changes: https://github.com/symfony/css-selector/compare/v6.4.0...v6.4.3
- Release notes: https://github.com/symfony/css-selector/releases/tag/v6.4.3

symfony/twig-bridge updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/twig-bridge/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/twig-bridge/releases/tag/v6.4.4

symfony/debug-bundle updated from v6.4.0 to v6.4.3 patch
- See changes: https://github.com/symfony/debug-bundle/compare/v6.4.0...v6.4.3
- Release notes: https://github.com/symfony/debug-bundle/releases/tag/v6.4.3

symfony/clock updated from v6.4.2 to v6.4.5 patch
- See changes: https://github.com/symfony/clock/compare/v6.4.2...v6.4.5
- Release notes: https://github.com/symfony/clock/releases/tag/v6.4.5

symfony/messenger updated from v6.4.0 to v6.4.4 patch
- See changes: https://github.com/symfony/messenger/compare/v6.4.0...v6.4.4
- Release notes: https://github.com/symfony/messenger/releases/tag/v6.4.4

symfony/doctrine-messenger updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/doctrine-messenger/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/doctrine-messenger/releases/tag/v6.4.4

symfony/dotenv updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/dotenv/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/dotenv/releases/tag/v6.4.4

symfony/expression-language updated from v6.4.2 to v6.4.3 patch
- See changes: https://github.com/symfony/expression-language/compare/v6.4.2...v6.4.3
- Release notes: https://github.com/symfony/expression-language/releases/tag/v6.4.3

symfony/polyfill-intl-icu updated from v1.28.0 to v1.29.0 minor
- See changes: https://github.com/symfony/polyfill-intl-icu/compare/v1.28.0...v1.29.0
- Release notes: https://github.com/symfony/polyfill-intl-icu/releases/tag/v1.29.0

symfony/form updated from v6.4.1 to v6.4.4 patch
- See changes: https://github.com/symfony/form/compare/v6.4.1...v6.4.4
- Release notes: https://github.com/symfony/form/releases/tag/v6.4.4

symfony/intl updated from v6.4.2 to v6.4.3 patch
- See changes: https://github.com/symfony/intl/compare/v6.4.2...v6.4.3
- Release notes: https://github.com/symfony/intl/releases/tag/v6.4.3

symfony/polyfill-intl-idn updated from v1.28.0 to v1.29.0 minor
- See changes: https://github.com/symfony/polyfill-intl-idn/compare/v1.28.0...v1.29.0
- Release notes: https://github.com/symfony/polyfill-intl-idn/releases/tag/v1.29.0

symfony/mime updated from v6.4.0 to v6.4.3 patch
- See changes: https://github.com/symfony/mime/compare/v6.4.0...v6.4.3
- Release notes: https://github.com/symfony/mime/releases/tag/v6.4.3

symfony/mailer updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/mailer/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/mailer/releases/tag/v6.4.4

symfony/process updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/process/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/process/releases/tag/v6.4.4

symfony/maker-bundle updated from v1.52.0 to v1.56.0 minor
- See changes: https://github.com/symfony/maker-bundle/compare/v1.52.0...v1.56.0
- Release notes: https://github.com/symfony/maker-bundle/releases/tag/v1.56.0

symfony/monolog-bridge updated from v6.4.0 to v6.4.4 patch
- See changes: https://github.com/symfony/monolog-bridge/compare/v6.4.0...v6.4.4
- Release notes: https://github.com/symfony/monolog-bridge/releases/tag/v6.4.4

symfony/notifier updated from v6.4.0 to v6.4.3 patch
- See changes: https://github.com/symfony/notifier/compare/v6.4.0...v6.4.3
- Release notes: https://github.com/symfony/notifier/releases/tag/v6.4.3

symfony/dom-crawler updated from v6.4.0 to v6.4.4 patch
- See changes: https://github.com/symfony/dom-crawler/compare/v6.4.0...v6.4.4
- Release notes: https://github.com/symfony/dom-crawler/releases/tag/v6.4.4

symfony/browser-kit updated from v6.4.0 to v6.4.3 patch
- See changes: https://github.com/symfony/browser-kit/compare/v6.4.0...v6.4.3
- Release notes: https://github.com/symfony/browser-kit/releases/tag/v6.4.3

symfony/phpunit-bridge updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/phpunit-bridge/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/phpunit-bridge/releases/tag/v6.4.4

symfony/security-bundle updated from v6.4.2 to v6.4.5 patch
- See changes: https://github.com/symfony/security-bundle/compare/v6.4.2...v6.4.5
- Release notes: https://github.com/symfony/security-bundle/releases/tag/v6.4.5

symfony/serializer updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/serializer/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/serializer/releases/tag/v6.4.4

symfony/translation updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/translation/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/translation/releases/tag/v6.4.4

symfony/validator updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/validator/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/validator/releases/tag/v6.4.4

symfony/web-link updated from v6.4.0 to v6.4.3 patch
- See changes: https://github.com/symfony/web-link/compare/v6.4.0...v6.4.3
- Release notes: https://github.com/symfony/web-link/releases/tag/v6.4.3

symfony/twig-bundle updated from v6.4.0 to v6.4.4 patch
- See changes: https://github.com/symfony/twig-bundle/compare/v6.4.0...v6.4.4
- Release notes: https://github.com/symfony/twig-bundle/releases/tag/v6.4.4

symfony/web-profiler-bundle updated from v6.4.2 to v6.4.4 patch
- See changes: https://github.com/symfony/web-profiler-bundle/compare/v6.4.2...v6.4.4
- Release notes: https://github.com/symfony/web-profiler-bundle/releases/tag/v6.4.4

</details>

<details>
<summary>

Upgrade `symfony/*` (`v6.4.1` => `v6.4.2`), `doctrine/orm` : 0 installs, 34 updates, 0 removals

see: https://symfony.com/blog/symfony-6-4-2-released

</summary>

Lock file operations: 0 installs, 34 updates, 0 removals
- Upgrading doctrine/orm (2.17.1 => 2.17.2)
- Upgrading phpunit/php-code-coverage (9.2.29 => 9.2.30)
- Upgrading sebastian/complexity (2.0.2 => 2.0.3)
- Upgrading sebastian/lines-of-code (1.0.3 => 1.0.4)
- Upgrading symfony/asset-mapper (v6.4.1 => v6.4.2)
- Upgrading symfony/cache (v6.4.0 => v6.4.2)
- Upgrading symfony/clock (v6.4.0 => v6.4.2)
- Upgrading symfony/console (v6.4.1 => v6.4.2)
- Upgrading symfony/dependency-injection (v6.4.1 => v6.4.2)
- Upgrading symfony/doctrine-bridge (v6.4.0 => v6.4.2)
- Upgrading symfony/doctrine-messenger (v6.4.1 => v6.4.2)
- Upgrading symfony/dotenv (v6.4.0 => v6.4.2)
- Upgrading symfony/event-dispatcher (v6.4.0 => v6.4.2)
- Upgrading symfony/expression-language (v6.4.0 => v6.4.2)
- Upgrading symfony/framework-bundle (v6.4.1 => v6.4.2)
- Upgrading symfony/http-client (v6.4.0 => v6.4.2)
- Upgrading symfony/http-foundation (v6.4.0 => v6.4.2)
- Upgrading symfony/http-kernel (v6.4.1 => v6.4.2)
- Upgrading symfony/intl (v6.4.0 => v6.4.2)
- Upgrading symfony/mailer (v6.4.0 => v6.4.2)
- Upgrading symfony/phpunit-bridge (v6.4.1 => v6.4.2)
- Upgrading symfony/process (v6.4.0 => v6.4.2)
- Upgrading symfony/routing (v6.4.1 => v6.4.2)
- Upgrading symfony/security-bundle (v6.4.0 => v6.4.2)
- Upgrading symfony/serializer (v6.4.1 => v6.4.2)
- Upgrading symfony/service-contracts (v3.4.0 => v3.4.1)
- Upgrading symfony/string (v6.4.0 => v6.4.2)
- Upgrading symfony/translation (v6.4.0 => v6.4.2)
- Upgrading symfony/translation-contracts (v3.4.0 => v3.4.1)
- Upgrading symfony/twig-bridge (v6.4.0 => v6.4.2)
- Upgrading symfony/validator (v6.4.0 => v6.4.2)
- Upgrading symfony/var-dumper (v6.4.0 => v6.4.2)
- Upgrading symfony/var-exporter (v6.4.1 => v6.4.2)
- Upgrading symfony/web-profiler-bundle (v6.4.0 => v6.4.2)

</details>

--------------------------------

## v1.0.2, 2023.12.18

### Fixed

- test: allow to run Infection (mutation testing)
- test(pkcs12 convertor): allow mutation testing
- fix(convertHexadecimalToDecimal): remove hexadecimal prefix [ `0x` ]
- fix(NormalizesDataForCertificate): remove special characters used by JSON format
- fix(composer.json): unblock doctrine/orm version #48
- test: add unit tests for new Symfony services and exceptions
- refactor: add specific Symfony services (Certificate, CertificateAuthority, CfsslService, ...)
- refactor: add dedicated exceptions
  - KeySizeRangeException
  - InvalidAlgorithmException
  - Pkcs12ConvertorFailed
  - InvalidPrivateKey
  - InvalidPublicKey
  - NotMatchingPrivateAndPublicKeys

### Dependancies

- chore(composer.lock): upgrade `symfony` (`v6.4.0` => `v6.4.1`)
- chore(composer.json): upgrade `symfony` (`v6.3.9` => `v6.4.0`)
- chore(composer.lock): upgrade `symfony` (`v6.3.8` => `v6.3.9`)
- chore(composer.lock): upgrade `phpunit`, `doctrine`, `nelmio/security-bundle`, `composer/ca-bundle`


--------------------------------

## v1.0.1, 2023.11.13

### Security

- fix: escape special characters of password sent to openssl command #81
- chore(composer.lock): doctrine, symfony/* (`v6.3.7` => `v6.3.8`)

<details>
<summary>

Update `doctrine`, `symfony/*` (`v6.3.7` => `v6.3.8`) : 0 installs, 28 updates, 0 removals

see: https://symfony.com/blog/symfony-6-3-8-released

</summary>

Lock file operations: 0 installs, 28 updates, 0 removals
- Upgrading doctrine/doctrine-bundle (2.10.2 => 2.11.0)
- Upgrading doctrine/migrations (3.6.0 => 3.7.0)
- Upgrading symfony/asset (v6.3.0 => v6.3.8)
- Upgrading symfony/browser-kit (v6.3.2 => v6.3.8)
- Upgrading symfony/cache (v6.3.6 => v6.3.8)
- Upgrading symfony/config (v6.3.2 => v6.3.8)
- Upgrading symfony/console (v6.3.4 => v6.3.8)
- Upgrading symfony/dependency-injection (v6.3.5 => v6.3.8)
- Upgrading symfony/doctrine-bridge (v6.3.7 => v6.3.8)
- Upgrading symfony/doctrine-messenger (v6.3.7 => v6.3.8)
- Upgrading symfony/form (v6.3.7 => v6.3.8)
- Upgrading symfony/framework-bundle (v6.3.7 => v6.3.8)
- Upgrading symfony/http-client (v6.3.7 => v6.3.8)
- Upgrading symfony/http-foundation (v6.3.7 => v6.3.8)
- Upgrading symfony/http-kernel (v6.3.7 => v6.3.8)
- Upgrading symfony/monolog-bridge (v6.3.1 => v6.3.8)
- Upgrading symfony/password-hasher (v6.3.5 => v6.3.8)
- Upgrading symfony/phpunit-bridge (v6.3.6 => v6.3.8)
- Upgrading symfony/security-bundle (v6.3.7 => v6.3.8)
- Upgrading symfony/security-http (v6.3.6 => v6.3.8)
- Upgrading symfony/serializer (v6.3.7 => v6.3.8)
- Upgrading symfony/string (v6.3.5 => v6.3.8)
- Upgrading symfony/twig-bridge (v6.3.5 => v6.3.8)
- Upgrading symfony/twig-bundle (v6.3.0 => v6.3.8)
- Upgrading symfony/validator (v6.3.7 => v6.3.8)
- Upgrading symfony/var-dumper (v6.3.6 => v6.3.8)
- Upgrading symfony/web-profiler-bundle (v6.3.6 => v6.3.8)
- Upgrading symfony/yaml (v6.3.7 => v6.3.8)

</details>


--------------------------------

## v1.0.0, 2023.11.09

### Fixed

- fix(ux): remove misspelling in tab name. (see: #80)
- chore(composer.lock): upgrade `symfony/monolog-bundle` (`v3.8.0` => `v3.10.0`)


--------------------------------

## v1.0.0-rc.2.0, 2023.10.31

### Fixed

- fix(ux): use browser native "minlength" attribute for password fields
- fix(a11y): add a missing "nav" HTML tag

### Security

- chore(composer.lock): update `monolog`, `symfony/*` (`v6.3.6` => `v6.3.7`)

<details>
<summary>

Update `symfony/*` (`v6.3.6` => `v6.3.7`) : 0 installs, 18 updates, 0 removals

see: https://symfony.com/blog/symfony-6-3-7-released

</summary>

Lock file operations: 0 installs, 18 updates, 0 removals
- Upgrading monolog/monolog (3.4.0 => 3.5.0)
- Upgrading symfony/doctrine-bridge (v6.3.6 => v6.3.7)
- Upgrading symfony/doctrine-messenger (v6.3.6 => v6.3.7)
- Upgrading symfony/dotenv (v6.3.0 => v6.3.7)
- Upgrading symfony/flex (v2.4.0 => v2.4.1)
- Upgrading symfony/form (v6.3.6 => v6.3.7)
- Upgrading symfony/framework-bundle (v6.3.6 => v6.3.7)
- Upgrading symfony/http-client (v6.3.6 => v6.3.7)
- Upgrading symfony/http-foundation (v6.3.6 => v6.3.7)
- Upgrading symfony/http-kernel (v6.3.6 => v6.3.7)
- Upgrading symfony/intl (v6.3.2 => v6.3.7)
- Upgrading symfony/messenger (v6.3.6 => v6.3.7)
- Upgrading symfony/security-bundle (v6.3.6 => v6.3.7)
- Upgrading symfony/security-core (v6.3.5 => v6.3.7)
- Upgrading symfony/serializer (v6.3.6 => v6.3.7)
- Upgrading symfony/translation (v6.3.6 => v6.3.7)
- Upgrading symfony/validator (v6.3.6 => v6.3.7)
- Upgrading symfony/yaml (v6.3.3 => v6.3.7)

</details>


--------------------------------

## v1.0.0-rc.1.0, 2023.10.25

### Added

- feat(i18n): as an anonymous user, the interface is in French
- feat(webperf): add HTTP "Cache-Control: immutable" headers for CSS and JS files


--------------------------------

## v0.17.0, 2023.10.25

### Added

- feat(i18n): as a manager, the interface is in French
- feat(css): use AssetMapper to bust browser cache when css, js or images change
- ci(release-build): add checksum of webapp files

### Changed

#### Breaking change

- ci(release): use lower file and directory permissions
- feat(security)!: HTTPS is mandatory for PROD environment

### Fixed

- fix: specify application language in HTML code

### Security

- chore(composer.lock): update `symfony/*` (v6.3.5 => v6.3.6)

<details>
<summary>

Update `symfony/*` (v6.3.5 => v6.3.6) : 0 installs, 21 updates, 0 removals

</summary>

Package operations:  0 installs, 21 updates, 0 removals
- Upgrading php-webdriver/webdriver (1.15.0 => 1.15.1)
- Upgrading symfony/cache (v6.3.5 => v6.3.6)
- Upgrading symfony/doctrine-bridge (v6.3.5 => v6.3.6)
- Upgrading symfony/doctrine-messenger (v6.3.1 => v6.3.6)
- Upgrading symfony/flex (v2.3.3 => v2.4.0)
- Upgrading symfony/form (v6.3.5 => v6.3.6)
- Upgrading symfony/framework-bundle (v6.3.5 => v6.3.6)
- Upgrading symfony/http-client (v6.3.5 => v6.3.6)
- Upgrading symfony/http-foundation (v6.3.5 => v6.3.6)
- Upgrading symfony/http-kernel (v6.3.5 => v6.3.6)
- Upgrading symfony/messenger (v6.3.5 => v6.3.6)
- Upgrading symfony/notifier (v6.3.0 => v6.3.6)
- Upgrading symfony/phpunit-bridge (v6.3.2 => v6.3.6)
- Upgrading symfony/security-bundle (v6.3.5 => v6.3.6)
- Upgrading symfony/security-http (v6.3.5 => v6.3.6)
- Upgrading symfony/serializer (v6.3.5 => v6.3.6)
- Upgrading symfony/translation (v6.3.3 => v6.3.6)
- Upgrading symfony/validator (v6.3.5 => v6.3.6)
- Upgrading symfony/var-dumper (v6.3.5 => v6.3.6)
- Upgrading symfony/var-exporter (v6.3.4 => v6.3.6)
- Upgrading symfony/web-profiler-bundle (v6.3.2 => v6.3.6)

</details>


--------------------------------

## v0.16.0, 2023.10.19

### Added

- feat: allow anonymous user to use "forgot password" form

### Changed

- chore(composer.lock): update `doctrine/dbal`


--------------------------------

## v0.15.0, 2023.10.06

### Added

- feat: allow connected user to change password

### Changed

- chore(composer.lock): update `doctrine/collections`, `egulias/email-validator` and `dbrekelmans/bdi`

<details>
<summary>

Update `doctrine/collections`, `egulias/email-validator` and `dbrekelmans/bdi` : 0 installs, 3 updates, 0 removals

</summary>

- Upgrading dbrekelmans/bdi (1.0.5 => 1.1.0)
- Upgrading doctrine/collections (2.1.3 => 2.1.4)
- Upgrading egulias/email-validator (4.0.1 => 4.0.2)

</details>


--------------------------------

## v0.14.0, 2023.10.02

### Added

- feat(admin): display missing configuration
- feat(form): display min password length
- feat(user): use minimum password length defined by env variable
- feat(certificate): use minimum password length defined by env variable
- feat(env): allow to configure minimum password length (user and certificate)
- feat(env): allow to configure i18n default locale
- feat(env): allow to configure lifetime of reset password token (default: 20 minutes)

see `.env` file:

```bash
WEBAPP_I18N_DEFAULT_LOCALE                        # User interface language (default: 'en')
WEBAPP_USER_CONFIG_RESET_PASSWORD_TOKEN_LIFETIME  # Lifetime of reset password token in seconds (default: 1200 = 20 minutes).
WEBAPP_USER_CONFIG_MIN_PASSWORD_LENGTH            # Minimum user password length (default: 12)
WEBAPP_CERTIFICAT_CONFIG_MIN_PASSWORD_LENGTH      # Minimum certificate password length (default: 12)
```

### Fixed

- test(manager): add tests for create certificate form

### Security

- chore(composer.lock): update `symfony/*` (v6.3.4 => v6.3.5), `doctrine/*`, `phpdoc-parser`
- chore(composer.lock): update `phpunit/*`, `symfony/maker-bundle`

<details>
<summary>

Update `symfony/*` (v6.3.4 => v6.3.5), `doctrine/*`, `phpdoc-parser` : 0 installs, 24 updates, 0 removals

</summary>

see:
https://symfony.com/blog/symfony-6-3-5-released

- Upgrading symfony/http-foundation (v6.3.4 => v6.3.5)
- Upgrading symfony/var-dumper (v6.3.4 => v6.3.5)
- Upgrading symfony/error-handler (v6.3.2 => v6.3.5)
- Upgrading symfony/http-kernel (v6.3.4 => v6.3.5)
- Upgrading symfony/doctrine-bridge (v6.3.4 => v6.3.5)
- Upgrading symfony/dependency-injection (v6.3.4 => v6.3.5)
- Upgrading symfony/string (v6.3.2 => v6.3.5)
- Upgrading doctrine/deprecations (v1.1.1 => 1.1.2)
- Upgrading doctrine/dbal (3.6.6 => 3.7.0)
- Upgrading symfony/routing (v6.3.3 => v6.3.5)
- Upgrading symfony/finder (v6.3.3 => v6.3.5)
- Upgrading symfony/cache (v6.3.4 => v6.3.5)
- Upgrading symfony/framework-bundle (v6.3.4 => v6.3.5)
- Upgrading symfony/password-hasher (v6.3.0 => v6.3.5)
- Upgrading symfony/security-core (v6.3.3 => v6.3.5)
- Upgrading symfony/security-http (v6.3.4 => v6.3.5)
- Upgrading phpstan/phpdoc-parser (1.24.1 => 1.24.2)
- Upgrading symfony/twig-bridge (v6.3.2 => v6.3.5)
- Upgrading symfony/messenger (v6.3.4 => v6.3.5)
- Upgrading symfony/form (v6.3.2 => v6.3.5)
- Upgrading symfony/mime (v6.3.3 => v6.3.5)
- Upgrading symfony/mailer (v6.3.0 => v6.3.5)
- Upgrading symfony/http-client (v6.3.2 => v6.3.5)
- Upgrading symfony/security-bundle (v6.3.4 => v6.3.5)
- Upgrading symfony/serializer (v6.3.4 => v6.3.5)
- Upgrading symfony/validator (v6.3.4 => v6.3.5)

</details>


--------------------------------

## v0.13.0, 2023.09.06

### Added

- feat: replace simple lists with paginated lists
- feat(env): configure the number of items in paginated lists
  - see `WEBAPP_ADMIN_CONFIG_DEFAULT_MAX_USER_PER_PAGE` in .env file.
  - see `WEBAPP_ADMIN_CONFIG_DEFAULT_MAX_CERT_PER_PAGE` in .env file.
  - see `WEBAPP_MANAGER_CONFIG_DEFAULT_MAX_CERT_PER_PAGE` in .env file.

### Fixed

- fix(template): remove an excess closing HTML tag

### Security

- feat(security): strengthen the session fixation strategy
- feat(security): send HTTP header to clear browsing data on logout
- fix(security): enable by default CSRF protection


--------------------------------

## v0.12.1, 2023.09.01

### Security

- chore(composer.lock): update `symfony/*` (v6.3.2 => v6.3.3), `doctrine/*`, `twig/*`, ...

<details>
<summary>

Update `symfony/*` (v6.3.2 => v6.3.4), `doctrine/*`, `twig/*`, ... : 0 installs, 32 updates, 0 removals

</summary>

see: <https://symfony.com/blog/symfony-6-3-4-released>

- Upgrading composer/ca-bundle (1.3.6 => 1.3.7)
- Upgrading doctrine/data-fixtures (1.6.6 => 1.6.7)
- Upgrading doctrine/dbal (3.6.5 => 3.6.6)
- Upgrading nikic/php-parser (v4.16.0 => v4.17.1)
- Upgrading php-webdriver/webdriver (1.14.0 => 1.15.0)
- Upgrading phpdocumentor/type-resolver (1.7.2 => 1.7.3)
- Upgrading phpunit/phpunit (9.6.10 => 9.6.11)
- Upgrading symfony/cache (v6.3.2 => v6.3.4)
- Upgrading symfony/clock (v6.3.1 => v6.3.4)
- Upgrading symfony/console (v6.3.2 => v6.3.4)
- Upgrading symfony/dependency-injection (v6.3.2 => v6.3.4)
- Upgrading symfony/doctrine-bridge (v6.3.2 => v6.3.4)
- Upgrading symfony/dom-crawler (v6.3.1 => v6.3.4)
- Upgrading symfony/framework-bundle (v6.3.2 => v6.3.4)
- Upgrading symfony/http-foundation (v6.3.2 => v6.3.4)
- Upgrading symfony/http-kernel (v6.3.3 => v6.3.4)
- Upgrading symfony/messenger (v6.3.3 => v6.3.4)
- Upgrading symfony/polyfill-intl-grapheme (v1.27.0 => v1.28.0)
- Upgrading symfony/polyfill-intl-icu (v1.27.0 => v1.28.0)
- Upgrading symfony/polyfill-intl-idn (v1.27.0 => v1.28.0)
- Upgrading symfony/polyfill-intl-normalizer (v1.27.0 => v1.28.0)
- Upgrading symfony/polyfill-mbstring (v1.27.0 => v1.28.0)
- Upgrading symfony/polyfill-php83 (v1.27.0 => v1.28.0)
- Upgrading symfony/process (v6.3.2 => v6.3.4)
- Upgrading symfony/security-bundle (v6.3.3 => v6.3.4)
- Upgrading symfony/security-http (v6.3.2 => v6.3.4)
- Upgrading symfony/serializer (v6.3.3 => v6.3.4)
- Upgrading symfony/validator (v6.3.2 => v6.3.4)
- Upgrading symfony/var-dumper (v6.3.3 => v6.3.4)
- Upgrading symfony/var-exporter (v6.3.2 => v6.3.4)
- Upgrading twig/extra-bundle (v3.7.0 => v3.7.1)
- Upgrading twig/twig (v3.7.0 => v3.7.1)

</details>


--------------------------------

## v0.12.0, 2023.08.11

### Added

- feat: manager can see his created certficates and download PEM files
- test: manager can see his created certficates and download PEM files
- feat(env): allow to configure lifetime of the session (default: 3600 = 1 hour),
  see `WEBAPP_SESSION_LIFETIME` in .env file.

### Changed

- ci(php_package-outdated): job is not allowed to fail

### Fixed

- fix(ui): improve nav items (manager + admin)
- fix: allow repeat phpunit tests
- fix(deprecation): add some return type

### Security

- fix: enable max lifetime of the session,  see `WEBAPP_SESSION_LIFETIME` in .env file.
- chore(composer.lock): update `symfony/*` (v6.3.1 => v6.3.2), `doctrine/*`, ...

<details>
<summary>

Update `symfony/*` (v6.3.1 => v6.3.2), `doctrine/*`, ... : 0 installs, 42 updates, 0 removals

</summary>

- Upgrading symfony/flex (v2.3.1 => v2.3.3)
- Upgrading symfony/runtime (v6.3.1 => v6.3.2)
- Upgrading symfony/http-foundation (v6.3.1 => v6.3.2)
- Upgrading symfony/event-dispatcher (v6.3.0 => v6.3.2)
- Upgrading symfony/var-dumper (v6.3.1 => v6.3.3)
- Upgrading symfony/error-handler (v6.3.0 => v6.3.2)
- Upgrading symfony/http-kernel (v6.3.1 => v6.3.3)
- Upgrading symfony/doctrine-bridge (v6.3.1 => v6.3.2)
- Upgrading symfony/var-exporter (v6.3.0 => v6.3.2)
- Upgrading symfony/dependency-injection (v6.3.1 => v6.3.2)
- Upgrading symfony/string (v6.3.0 => v6.3.2)
- Upgrading symfony/console (v6.3.0 => v6.3.2)
- Upgrading symfony/config (v6.3.0 => v6.3.2)
- Upgrading symfony/routing (v6.3.1 => v6.3.3)
- Upgrading symfony/finder (v6.3.0 => v6.3.3)
- Upgrading symfony/cache (v6.3.1 => v6.3.2)
- Upgrading symfony/framework-bundle (v6.3.1 => v6.3.2)
- Upgrading doctrine/doctrine-bundle (2.10.1 => 2.10.2)
- Upgrading masterminds/html5 (2.8.0 => 2.8.1)
- Upgrading symfony/yaml (v6.3.0 => v6.3.3)
- Upgrading symfony/security-core (v6.3.0 => v6.3.3)
- Upgrading symfony/property-access (v6.3.0 => v6.3.2)
- Upgrading symfony/security-http (v6.3.1 => v6.3.2)
- Upgrading symfony/security-csrf (v6.3.0 => v6.3.2)
- Upgrading phpstan/phpdoc-parser (1.23.0 => 1.23.1)
- Upgrading sebastian/global-state (5.0.5 => 5.0.6)
- Upgrading symfony/css-selector (v6.3.0 => v6.3.2)
- Upgrading symfony/twig-bridge (v6.3.0 => v6.3.2)
- Upgrading symfony/debug-bundle (v6.3.0 => v6.3.2)
- Upgrading symfony/messenger (v6.3.1 => v6.3.3)
- Upgrading symfony/form (v6.3.0 => v6.3.2)
- Upgrading symfony/intl (v6.3.1 => v6.3.2)
- Upgrading symfony/mime (v6.3.0 => v6.3.3)
- Upgrading symfony/process (v6.3.0 => v6.3.2)
- Upgrading symfony/http-client (v6.3.1 => v6.3.2)
- Upgrading symfony/browser-kit (v6.3.0 => v6.3.2)
- Upgrading symfony/phpunit-bridge (v6.3.1 => v6.3.2)
- Upgrading symfony/security-bundle (v6.3.1 => v6.3.3)
- Upgrading symfony/serializer (v6.3.1 => v6.3.3)
- Upgrading symfony/translation (v6.3.0 => v6.3.3)
- Upgrading symfony/validator (v6.3.1 => v6.3.2)
- Upgrading symfony/web-profiler-bundle (v6.3.1 => v6.3.2)

</details>


--------------------------------

## v0.11.0, 2023.07.28

### Added

- test: add "manager can create new certificate"
- test: add "manager can only download certificate public key he created"
- feat(dev): add fake CFSSL server
- chore(make): add cfssl_run_fake_server cmd
- ci(php8.1_tests): run fake CFSSL server

### Changed

#### Breaking change

- fix(UI): remove software version from footer (except for administrator)

### Fixed

- fix(composer): use doctrine/orm 2.15.3, do not allow to use 2.15.4

### Security

- feat(security): add HTTP "Cross-Origin Opener|Resource|Embedder Policy" header
- chore(composer): update `symfony/*` (v6.2 => v6.3), `doctrine/*`, `twig/*`, ...

<details>
<summary>

Update `symfony/*` (v6.2 => v6.3), `doctrine/*`, `twig/*`, ... : 3 installs, 60 updates, 0 removals

</summary>

- Upgrading doctrine/dbal (3.6.4 => 3.6.5)
- Upgrading doctrine/doctrine-bundle (2.10.0 => 2.10.1)
- Upgrading doctrine/collections (2.1.2 => 2.1.3)
- Upgrading phpstan/phpdoc-parser (1.22.0 => 1.23.0)
- Upgrading phpunit/php-code-coverage (9.2.26 => 9.2.27)
- Upgrading phpunit/phpunit (9.6.9 => 9.6.10)
- Upgrading symfony/runtime (v6.2.12 => v6.3.1)
- Installing symfony/polyfill-php83 (v1.27.0)
- Upgrading symfony/http-foundation (v6.2.12 => v6.3.1)
- Upgrading symfony/event-dispatcher (v6.2.8 => v6.3.0)
- Upgrading symfony/var-dumper (v6.2.12 => v6.3.1)
- Upgrading symfony/error-handler (v6.2.11 => v6.3.0)
- Upgrading symfony/http-kernel (v6.2.12 => v6.3.1)
- Upgrading symfony/doctrine-bridge (v6.2.12 => v6.3.1)
- Upgrading symfony/var-exporter (v6.2.10 => v6.3.0)
- Upgrading symfony/dependency-injection (v6.2.12 => v6.3.1)
- Upgrading symfony/string (v6.2.8 => v6.3.0)
- Upgrading symfony/console (v6.2.12 => v6.3.0)
- Upgrading symfony/filesystem (v6.2.12 => v6.3.1)
- Upgrading symfony/config (v6.2.7 => v6.3.0)
- Upgrading symfony/routing (v6.2.12 => v6.3.1)
- Upgrading symfony/finder (v6.2.7 => v6.3.0)
- Upgrading symfony/cache (v6.2.12 => v6.3.1)
- Upgrading symfony/framework-bundle (v6.2.12 => v6.3.1)
- Upgrading symfony/stopwatch (v6.2.7 => v6.3.0)
- Upgrading symfony/yaml (v6.2.10 => v6.3.0)
- Upgrading symfony/password-hasher (v6.2.7 => v6.3.0)
- Upgrading symfony/security-core (v6.2.8 => v6.3.0)
- Upgrading symfony/property-info (v6.2.11 => v6.3.0)
- Upgrading symfony/property-access (v6.2.11 => v6.3.0)
- Upgrading symfony/security-http (v6.2.11 => v6.3.1)
- Upgrading symfony/security-csrf (v6.2.7 => v6.3.0)
- Installing psr/clock (1.0.0)
- Upgrading symfony/asset (v6.2.7 => v6.3.0)
- Upgrading symfony/css-selector (v6.2.7 => v6.3.0)
- Upgrading symfony/twig-bridge (v6.2.8 => v6.3.0)
- Upgrading symfony/debug-bundle (v6.2.7 => v6.3.0)
- Installing symfony/clock (v6.3.1)
- Upgrading symfony/messenger (v6.2.12 => v6.3.1)
- Upgrading symfony/doctrine-messenger (v6.2.12 => v6.3.1)
- Upgrading symfony/dotenv (v6.2.8 => v6.3.0)
- Upgrading symfony/expression-language (v6.2.7 => v6.3.0)
- Upgrading symfony/options-resolver (v6.2.7 => v6.3.0)
- Upgrading symfony/form (v6.2.11 => v6.3.0)
- Upgrading symfony/intl (v6.2.12 => v6.3.1)
- Upgrading symfony/mime (v6.2.10 => v6.3.0)
- Upgrading symfony/mailer (v6.2.12 => v6.3.0)
- Upgrading symfony/process (v6.2.11 => v6.3.0)
- Upgrading symfony/maker-bundle (v1.49.0 => v1.50.0)
- Upgrading symfony/monolog-bridge (v6.2.8 => v6.3.1)
- Upgrading symfony/notifier (v6.2.8 => v6.3.0)
- Upgrading symfony/http-client (v6.2.12 => v6.3.1)
- Upgrading symfony/dom-crawler (v6.2.12 => v6.3.1)
- Upgrading symfony/browser-kit (v6.2.7 => v6.3.0)
- Upgrading symfony/security-bundle (v6.2.12 => v6.3.1)
- Upgrading symfony/serializer (v6.2.12 => v6.3.1)
- Upgrading symfony/translation (v6.2.11 => v6.3.0)
- Upgrading symfony/validator (v6.2.12 => v6.3.1)
- Upgrading symfony/web-link (v6.2.7 => v6.3.0)
- Upgrading symfony/twig-bundle (v6.2.7 => v6.3.0)
- Upgrading symfony/web-profiler-bundle (v6.2.12 => v6.3.1)
- Upgrading twig/twig (v3.6.1 => v3.7.0)
- Upgrading twig/extra-bundle (v3.6.1 => v3.7.0)

</details>

--------------------------------

## v0.10.0, 2023.06.20

> You may need to manually clear cache with following command line,
> before/after deploying Tajine `v0.10.0`:

```bash
rm -rvf var/cache/prod/
```

### Added

- feat(user story): allow admin to display creator (manager) of each certificate (#38)
- feat(user story): allow admin to display end-user of each certificate (#35)
- feat(user story): allow admin to download PEM file (public key) of each certificate (#34)

### Fixed

- fix(admin): display more certificates (last 150 instead of 12)
- fix(UX): visually differentiate breadcrumb for admins
- test: add unit tests for legacy certificate convertor (Pem to Pkcs12) via shell cmd (#39)
  - try to convert pem certificate to pkcs 12 with not valid public key
  - try to convert pem certificate to pkcs 12 with not valid private key
  - try to convert pem certificate to pkcs 12 with private key not corresponded to public key
  - convert pem certificate to pkcs 12 without password
  - convert pem certificate to pkcs 12 with empty password
  - convert pem certificate to pkcs 12 with password

### Security

- feat(security): add HTTP `Permissions-Policy` header, via `.htaccess` rules (#33)


--------------------------------

## v0.9.3, 2023.06.14

### Fixed

- Revert "chore(security): add HTTP strict-transport-security header (prod)"
- ci: php_package-outdated is allowed to fail  (temporary)
- ci: php_package-outdated is no longer needed by php8.1_release-build (temporary)
- chore(composer): update `symfony/*`, `doctrine/*`, `twig/*`, ...

<details>
<summary>

Update `symfony/*`, `doctrine/*`, `twig/*`, ... : 0 installs, 43 updates, 0 removals

</summary>

- composer/ca-bundle (1.3.5 => 1.3.6)
- doctrine/dbal (3.6.2 => 3.6.3)
- doctrine/deprecations (v1.0.0 => v1.1.1)
- doctrine/doctrine-bundle (2.9.1 => 2.10.0)
- doctrine/doctrine-migrations-bundle (3.2.2 => 3.2.4)
- doctrine/orm (2.15.1 => 2.15.2)
- doctrine/persistence (3.1.4 => 3.2.0)
- nikic/php-parser (v4.15.4 => v4.15.5)
- phpdocumentor/type-resolver (1.7.1 => 1.7.2)
- phpstan/phpdoc-parser (1.20.4 => 1.22.0)
- phpunit/phpunit (9.6.8 => 9.6.9)
- symfony/cache-contracts (v3.2.1 => v3.3.0)
- symfony/console (v6.2.10 => v6.2.11)
- symfony/dependency-injection (v6.2.10 => v6.2.11)
- symfony/deprecation-contracts (v3.2.1 => v3.3.0)
- symfony/doctrine-bridge (v6.2.9 => v6.2.11)
- symfony/error-handler (v6.2.10 => v6.2.11)
- symfony/event-dispatcher-contracts (v3.2.1 => v3.3.0)
- symfony/flex (v2.2.5 => v2.3.1)
- symfony/form (v6.2.10 => v6.2.11)
- symfony/framework-bundle (v6.2.10 => v6.2.11)
- symfony/http-client (v6.2.10 => v6.2.11)
- symfony/http-client-contracts (v3.2.1 => v3.3.0)
- symfony/http-foundation (v6.2.10 => v6.2.11)
- symfony/http-kernel (v6.2.10 => v6.2.11)
- symfony/maker-bundle (v1.48.0 => v1.49.0)
- symfony/messenger (v6.2.8 => v6.2.11)
- symfony/panther (v2.0.1 => v2.1.0)
- symfony/phpunit-bridge (v6.2.10 => v6.3.0)
- symfony/process (v6.2.10 => v6.2.11)
- symfony/property-access (v6.2.8 => v6.2.11)
- symfony/property-info (v6.2.10 => v6.2.11)
- symfony/security-bundle (v6.2.10 => v6.2.11)
- symfony/security-http (v6.2.10 => v6.2.11)
- symfony/serializer (v6.2.10 => v6.2.11)
- symfony/service-contracts (v3.2.1 => v3.3.0)
- symfony/translation (v6.2.8 => v6.2.11)
- symfony/translation-contracts (v3.2.1 => v3.3.0)
- symfony/validator (v6.2.10 => v6.2.11)
- symfony/var-dumper (v6.2.10 => v6.2.11)
- symfony/web-profiler-bundle (v6.2.10 => v6.2.11)
- twig/extra-bundle (v3.6.0 => v3.6.1)
- twig/twig (v3.6.0 => v3.6.1)

</details>


--------------------------------

## v0.9.2, 2023.05.12

### Added

- feat: add robots.txt files (by default: block all web crawlers from all content)
- feat: add public/contribute.json file

### Fixed

- chore(security): add HTTP strict-transport-security header (prod)
- chore(security/csp): add frame-ancestors and form-action rules
- chore: add empty index.html files into public/(...)/ directories
- chore: update some outdated PHP packages


--------------------------------

## v0.9.1, 2023.05.09

### Fixed

- chore: update some outdated PHP packages


--------------------------------

## v0.9.0, 2023.04.20

### Breaking change

> You must manually clear the cache with the following command line,
> before deploy Tajine v0.9.0:

```bash
rm -rvf var/cache/prod/
```

### Added

- feat(env): allow to configure time zone of webapp (default is "Europe/Paris"), see `WEBAPP_TIMEZONE` in .env file
- feat(env): allow administrator to DEBUG certificates (default is disabled), see `DEBUG_CERT_BY_ADMIN` in .env file
- feat(log): enable log rotating

### Fixed

- pkcs12 convertor: use Pkcs12ConvertorViaShellCmd() with legacy option


--------------------------------

## v0.8.3, 2023.04.19

### Fixed

- rename mail template
- rename tmp/ directory
- chore: update some outdated PHP packages


--------------------------------

## v0.8.2, 2023.04.14

### Added

- debug: hardcoded password for CLI version  (OpenSSL command line)


--------------------------------

## v0.8.1, 2023.04.11

### Added

- feat(admin): display user status (enabled or disabled)
- debug: convert the certificate with a 2nd method (OpenSSL command line)


--------------------------------

## v0.8.0, 2023.04.07

### Added

- feat(certificate): display CRL link
- feat(certificate authority): display CRL link of root CA
- feat(certificate authority): display CRL link of intermediate CA
- feat(certificate authority): allow to download public key of Intermediate CA
- feat: store email subject in a template

### Changed

- remove all generated certificates
- remove all users
- add a  1st user with `ROLE_ADMIN` permissions

> A 1st user is added automatically with `ROLE_ADMIN` permissions,
> when the software is installed or updated.
> - login: `admin-tajine@example.org`
> - password: `admin-tajine_PaSsWord_IsNotSoSecretChangeIt`

#### Breaking change

> `bcmath` (PHP extension) is mandatory
>
> Allows to convert certificate serial number
> in Hexadecimal format to decimal format (used as ID by CFSSL).



--------------------------------

## v1.0.0-rc.1, 2023.03.30

identical to `v0.7.0`


--------------------------------

## v0.7.0, 2023.03.29

### Added

- feat(admin): allow to display PHP configuration

### Fixed

- fix: allow to debug p12 file
- fix(admin): allow to see all user (isActive is not implemented)


--------------------------------

## v0.6.0,  2023.03.29

### Added

- feat: allow manager to create X509 certificate
- feat: allow to display Certification Authority (CA) data
- feat(certificat): display decimal serial number
- feat(db): add some fields on certificate table (created_by_id, used_by_id and public_key)
- docs: add CFSSL API and database examples

> note:
> - display certificat decimal serial number need to enable PHP extension `bcmath`
> - The PHP extension `bcmath`
>   - is not required for this version.
>   - will certainly be needed in a future version.

### Fixed

- fix(admin): list only active users
- fix: clean up template


--------------------------------

## v0.5.0,  2023.03.27

### Added

- feat: add user management
  - a 1st user is added automatically with `ROLE_ADMIN` permissions
  - an account with `ROLE_ADMIN` permissions can:
    - add a user with `ROLE_CERTIFICATE_MANAGER` permissions
    - edit users (only mail and password)
    - remove users

> A 1st user is added automatically with `ROLE_ADMIN` permissions,
> when the software is installed or updated.
> - login: `admin-tajine@example.org`
> - password: `admin-tajine_PaSsWord_IsNotSoSecretChangeIt`

### Changed

- feat: customize error pages
- refactor(design): use Bootstrap 5.3 + Twig template

#### Breaking change

- fix!: remove a URL and unnecessary files
  > Check deployment :
  > an `HTTP 404 Not found` error is expected
  > when following URL is used:  `/poc/cfssl_display_certification-authority`

--------------------------------

## v0.4.0,  2023.03.13

### Added

- #24 feat: add /health-check route
- docs(prod): improve configuration
- docs(dev): add xdebug (mandatory to use Infection)
- docs(dev): create auto generated directories for PHPUnit and Infection
- feat(dev): add Pkcs12Convertor class
- ci: improve Dockerfile (allow to use xdebug)
- ci: update docker image (allow to use xdebug)
- ci: add PHPUnit job (testing framework for PHP)
- ci: add a job that will run Infection (PHP Mutation Testing Framework)
- test(certificate): add example  files (.pem, .p12, ...)
- test(cfssl): add Json payloads and CFSSL API responses
- chore(make): add phpunit and infection

### Changed

- ci: php_package-outdated and  php8.1_tests jobs needs composer_validate job
- chore: use PHP strict_types

#### Breaking change

- feat(trusted_hosts)!: allow regular expression  (`WEBAPP_TRUSTED_HOST` is replaced by `WEBAPP_TRUSTED_HOSTS`)
- fix(env)!: replace `WEBAPP_EMAIL_ADMIN` by `WEBAPP_EMAIL_ALERTING_TO`

### Fixed

- ci(phpunit): fix WEBAPP_TRUSTED_HOST
- ci: update docker image (add php8.1-zip)
- chore: update some outdated PHP packages


--------------------------------

## v0.3.0,  2023.03.02

### Added

> **TODO**: to be completed

- ci: add PHP linter and PHPCS (Coding Standard) jobs
- ci: a CI job that will check for outdated packages
- ci(release-build): create the .tar.gz file with a root directory
- feat(dev): add some "make" sub-commands (phpcs, php_linter, ...)

### Changed

> **TODO**: to be completed

- chore(webapp): enable session
- chore(composer): add required PHP extensions
- chore(phive): use copy instead of symbolic link
- ci: use new docker image (php-8.1_composer_phive:v1.3.0)
- ci: improve Dockerfile (prerequisites for PHP 8.1)

#### Breaking change

- refactor(database)!: use PostgreSQL instead of SQLlite
- doc!: replace PHP 7.4 by PHP 8.1
- ci!: use PHP 8.1 instead of PHP 7.4
- chore: add .htaccess

### Fixed

> **TODO**: to be completed

### Security

> **TODO**: to be completed

- feat(security): enable CSP rules
- feat: use nelmio/security-bundle (HTTP security headers: CSP, ...)
- chore: update some outdated PHP packages
- ci: add php-security-checker job

### TODO: must be checked and stored in right section

> **TODO**: must be checked and stored in right section

- docs: add Symfony upgrade command lines
- chore: add Makefile
- docs: add auto-generated documentation of webapp routes
- chore(webapp): add the HTTP methods to route annotations
- refactor(symfony 6.2): use PHP annotations
- chore(symfony 6.2): regenerate first database migration
- chore(symfony 6.2): update .env file
- chore(symfony 6.2): update config/routes.yaml
- chore(symfony 6.2): update config/packages/framework.yaml
- chore(symfony 6.2): remove config/routes/annotations.yaml
- chore(symfony 6.2): update config/parckages/doctrine.yaml
- chore(symfony 6.2): update config/parckages/security.yaml
- chore(symfony 6.2): update config/parckages/web_profiler.yaml
- chore(symfony 6.2): update composer.json|lock and symfony.lock files
- ci: add php8.2_composer_validate job
- ci: add Dockerfile (prerequisites for PHP 8.2)
- ci: improve Dockerfile (prerequisites for PHP 8.1)
- chore: add .php-version file (used by Symfony CLI)


--------------------------------

## v0.2.0,  2023.02.09

### Added

- #9 - chore: add src/webapp
- #9 - chore: configure webapp parameters
- #9 - feat(webapp): add / route
- #9 - feat(webapp): add "/poc/send_mail" route
- #9 - feat(webapp): add "/poc/config_display" route
- #9 - feat(webapp): add "/poc/create_certificate" route
- #9 - fix(SendEmailMessage): use sync instead of async to send email


--------------------------------

## v0.1.0,  2023.02.08

### Added

- #1 - Documentation: add LICENSE, CODE OF CONDUCT, CHANGELOG, CONTRIBUTING and README files
- #2 - Chore: add Gitlab templates (issue and MR)
- #3 - CI: add Gitlab CI (linter, documentation)
- #4 - Chore: add .editorconfig, .gitignore and .gitattributes files
- #5 - Chore: add QA tools installed by PHIVE
- #6 - Chore: add vagrant prototype
- #7 - Chore: add src/symfony_skeleton/
- #8 - ci: add php stage (build + release)


--------------------------------

## Template

```markdown

## <major>.<minor>.patch_DEV     (unreleased)

### Added

### Changed

#### Breaking change

### Fixed

### Security


<details>
<summary>

Update `symfony/*` (v6.x.x => v6.x.x) : 0 installs, xx updates, 0 removals

see: https://symfony.com/blog/

</summary>

Lock file operations: 0 installs, xx updates, 0 removals
- Upgrading ...

</details>


--------------------------------

```
